> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.endorlabs.com/feedback

```json
{
  "path": "/api-reference/notificationservice/getnotification",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# GetNotification

> Fetches the notification identified by the UUID.



## OpenAPI

````yaml /api-reference/openapi.v3.json get /v1/namespaces/{tenant_meta.namespace}/notifications/{uuid}
openapi: 3.0.3
info:
  description: Integrate your application with Endor Labs using the REST API.
  title: Endor Labs REST API Reference
  version: '1.0'
servers:
  - url: https://api.endorlabs.com/
security: []
tags:
  - name: AISastCustomerContextService
  - name: APIKeyService
  - name: APIKeyValidatorService
  - name: ArtifactSignatureService
  - name: AuditLogService
  - name: AuthenticationLogService
  - name: AuthenticationService
  - name: AuthorizationPolicyService
  - name: BatchFileSegmentsService
  - name: BatchNotificationService
  - name: CallGraphDataService
  - name: CodeOwnersService
  - name: DependencyMetadataService
  - name: EndorIgnoreEntryService
  - name: ExporterService
  - name: FindingLogService
  - name: FindingService
  - name: HuggingFaceModelService
  - name: HuggingFaceOrganizationService
  - name: IPAddressPolicyService
  - name: IdentityProviderService
  - name: InstallationService
  - name: InvitationService
  - name: LicenseDependencyService
  - name: LicenseNoticesReportService
  - name: LicenseSummaryService
  - name: LinterResultService
  - name: MalwareService
  - name: MetricService
  - name: NamespaceService
  - name: NotificationService
  - name: NotificationTargetService
  - name: OnPremSchedulerService
  - name: PRCommentConfigService
  - name: PackageFirewallLogService
  - name: PackageLicenseOverrideService
  - name: PackageLicenseQueryService
  - name: PackageLicenseService
  - name: PackageManagerService
  - name: PackageVersionService
  - name: PluginBinaryService
  - name: PolicyService
  - name: PolicyTemplateService
  - name: ProjectService
  - name: ProvisioningResultService
  - name: QueryMalwareService
  - name: QueryService
  - name: QuerySimilarPackagesService
  - name: QueryVulnerabilityService
  - name: RegistryIngestionCheckpointService
  - name: RepositoryService
  - name: RepositoryVersionService
  - name: RuleSetImportService
  - name: SBOMExportService
  - name: SBOMImportService
  - name: SCMCredentialService
  - name: SavedQueryService
  - name: ScanLogRequestService
  - name: ScanProfileService
  - name: ScanResultService
  - name: ScanWorkflowResultService
  - name: ScanWorkflowService
  - name: SecretRuleService
  - name: SemgrepRuleService
  - name: SystemConfigService
  - name: TenantService
  - name: VEXExportService
  - name: VectorStoreService
  - name: VersionUpgradeService
  - name: VulnerabilityService
paths:
  /v1/namespaces/{tenant_meta.namespace}/notifications/{uuid}:
    get:
      tags:
        - NotificationService
      summary: GetNotification
      description: Fetches the notification identified by the UUID.
      operationId: NotificationService_GetNotification
      parameters:
        - description: >-
            Namespaces are a way to organize organizational units into virtual

            groupings of resources. Namespaces must be a fully qualified name,

            for example, the child namespace of namespace "endor.prod" called
            "app"

            is called "endor.prod.app".
          in: path
          name: tenant_meta.namespace
          required: true
          schema:
            type: string
          x-endor-name: Namespace
        - description: The UUID of the requested resource.
          in: path
          name: uuid
          required: true
          schema:
            type: string
        - description: List of fields to return (all fields are returned by default).
          in: query
          name: get_parameters.mask
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Notification'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    v1Notification:
      description: The record created when there is a policy violation.
      properties:
        context:
          $ref: '#/components/schemas/v1Context'
        meta:
          $ref: '#/components/schemas/v1Meta'
        spec:
          $ref: '#/components/schemas/v1NotificationSpec'
        tenant_meta:
          $ref: '#/components/schemas/v1TenantMeta'
        uuid:
          description: The UUID of a notification.
          readOnly: true
          type: string
      required:
        - meta
        - spec
      type: object
    googlerpcStatus:
      description: >-
        The `Status` type defines a logical error model that is suitable for

        different programming environments, including REST APIs and RPC APIs. It
        is

        used by [gRPC](https://github.com/grpc). Each `Status` message contains

        three pieces of data: error code, error message, and error details.


        You can find out more about this error model and how to work with it in
        the

        [API Design Guide](https://cloud.google.com/apis/design/errors).
      properties:
        code:
          description: |-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
          type: integer
        details:
          description: >-
            A list of messages that carry the error details.  There is a common
            set of

            message types for APIs to use.
          items:
            $ref: '#/components/schemas/googleprotobufAny'
          type: array
        message:
          description: >-
            A developer-facing error message, which should be in English. Any

            user-facing error message should be localized and sent in the

            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized

            by the client.
          type: string
      type: object
    v1Context:
      description: Contexts keep objects from different scans separated.
      properties:
        id:
          description: The context ID, such as a pull request ID or branch reference.
          type: string
        tags:
          description: |-
            A list of tags applied to a context. Used primarily for CI and SBOM
            contexts.
          items:
            type: string
          type: array
        type:
          $ref: '#/components/schemas/ContextContextType'
        will_be_deleted_at:
          description: |-
            Time that all objects in this context will be deleted.
            This field is deprecated and will be removed in the future.
            Please use the meta.will_be_deleted_at field instead.
          format: date-time
          readOnly: true
          type: string
      required:
        - type
        - id
      type: object
    v1Meta:
      description: Common fields for all Endor Labs resources.
      properties:
        annotations:
          additionalProperties:
            type: string
          description: >-
            Annotations can be used to attach metadata to a resource message.

            Annotation values can be small or large, structured or unstructured,

            and may include characters not permitted by labels.

            The keys may contain alphanumerics, underscores (_), dots (.) and
            dashes

            (-). The values of an annotation must be 16384 bytes or smaller.
          type: object
        create_time:
          description: |-
            Time the resource was created.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        created_by:
          description: |-
            Name and authentication source of the user who created the object,
            for example, ewok@endor.ai@google@api-key.
          readOnly: true
          type: string
        description:
          description: Resource description. Must be less than 1024 bytes.
          type: string
        index_data:
          $ref: '#/components/schemas/v1IndexData'
        kind:
          description: >-
            Resource kind, for example, HelloResponse.

            Auto-generated using the protobuf message
            proto.MessageName().Name().
          readOnly: true
          type: string
        name:
          description: Resource name. Must be 63 characters or less.
          type: string
        parent_kind:
          description: Parent object resource kind, for example, Project.
          type: string
        parent_uuid:
          description: Parent object UUID.
          type: string
        references:
          additionalProperties:
            $ref: '#/components/schemas/googleprotobufAny'
          description: Map of objects referenced in a query API.
          readOnly: true
          type: object
        tags:
          description: >-
            List of tags attached to the resource.

            Tags can be used to select objects and to find collections of
            objects that

            satisfy certain conditions. A tag must be 255 characters or less.
          items:
            type: string
          type: array
        update_time:
          description: |-
            Time the resource was last updated.
            Note: Updated on all create/patch/delete operations.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        updated_by:
          description: >-
            Name and authentication source of the last user who updated the
            object,

            for example, vulnerabilityingestor@endor.ai@x509.
          readOnly: true
          type: string
        upsert_time:
          description: |-
            Time the resource was last upserted.

            Note:
            create_time is only set the first time the resource is created.
            upsert_time is set every time the resource is upseted.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        version:
          description: Message version.
          readOnly: true
          type: string
      required:
        - name
      type: object
    v1NotificationSpec:
      properties:
        aggregation_details:
          $ref: '#/components/schemas/SpecAggregationDetails'
        diff:
          $ref: '#/components/schemas/v1NotificationDiff'
        dismiss:
          $ref: '#/components/schemas/SpecNotificationDismiss'
        finding_details:
          additionalProperties:
            $ref: '#/components/schemas/SpecFindingDetails'
          description: The map of finding UUID to finding object.
          type: object
        hashsum:
          description: >-
            The SHA-256 hash sum of the notification payload.

            The notification payload is a list of UUIDs (of say
            Findings/Metrics) and/or

            an opaque blob. The list of UUIDs and the opaque data is used as
            input for the hashing function.


            The hashsum is used to determine if the latest notification payload
            has changed

            so as to update the notification target when there is a change.
          readOnly: true
          type: string
        last_seen_at:
          description: The time when the notification was last raised.
          format: date-time
          type: string
        notification_action_data:
          additionalProperties:
            $ref: '#/components/schemas/v1NotificationActionData'
          description: >-
            A map of metadata related to the notification action, indexed by the
            notification target UUID.


            It maintains the following information related to every notification
            target.


            - Flags to determine if an action related to a notification target
              is successfully completed or not.  If not, the action
              is retried in subsequent attempts. Flags are maintained for
              actions related to OPEN/UPDATE/RESOLVE.
            - Metadata specific to a notification target type. Some of
              the notification target types need to maintain state so that
              subsequent updates to the notifications can operate on the
              same entity created by the notification. For example, JIRA
              updates needs to be performed on the same JIRA issue and
              hence the need to store JIRA ID.
          type: object
        notification_external_ids:
          description: The ids/keys of the tickets created by notification.
          items:
            type: string
          type: array
        payload:
          $ref: '#/components/schemas/v1NotificationPayload'
        policy_type:
          $ref: '#/components/schemas/PolicyPolicyType'
        policy_uuid:
          description: >-
            The UUID of the policy to which this notification belongs.

            Optional.

            Notifications created directly from findings do not have
            policy_uuid.
          type: string
        project_uuid:
          description: The UUID of the project to which this notification belongs.
          type: string
        remediation_parameters:
          $ref: '#/components/schemas/v1RemediationParameters'
        repository_version_uuid:
          description: >-
            The UUID of the repository version to which this notification
            belongs.
          type: string
        resolved_at:
          description: The time when the notification was marked resolved.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/SpecNotificationState'
      required:
        - state
        - project_uuid
      type: object
    v1TenantMeta:
      description: Tenant related data for the tenant containing the resource.
      properties:
        namespace:
          description: >-
            Namespaces are a way to organize organizational units into virtual

            groupings of resources. Namespaces must be a fully qualified name,

            for example, the child namespace of namespace "endor.prod" called
            "app"

            is called "endor.prod.app".
          type: string
      required:
        - namespace
      type: object
    googleprotobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
    ContextContextType:
      default: CONTEXT_TYPE_UNSPECIFIED
      description: |2-
         - CONTEXT_TYPE_MAIN: Objects from a scan of the default branch.
        All objects in the oss namespace are in the main context.
        The context id is always "default".
         - CONTEXT_TYPE_EXTERNAL: Indicates that this object is a copy/temporary value of an object in
        another project. Used for same-tenant dependencies. In source code
        reference this is equivalent to "vendor" folders. Package versions in
        the external context are only scanned for call graphs. No other
        operations are performed on them.
         - CONTEXT_TYPE_CI_RUN: Objects from a PR scan. The context id is the PR UUID.
        Objects in this context are deleted after 30 days.
         - CONTEXT_TYPE_SBOM: Objects from an SBOM scan. The context id is the SBOM serial number or
        some other unique identifier.
         - CONTEXT_TYPE_REF: Objects from a scan of a specific branch. The context id is the branch
        reference name.
      enum:
        - CONTEXT_TYPE_UNSPECIFIED
        - CONTEXT_TYPE_MAIN
        - CONTEXT_TYPE_EXTERNAL
        - CONTEXT_TYPE_CI_RUN
        - CONTEXT_TYPE_SBOM
        - CONTEXT_TYPE_REF
      type: string
    v1IndexData:
      description: |-
        IndexData is used to index the resource for search. It's an internal
        object.
      properties:
        data:
          items:
            type: string
          readOnly: true
          type: array
        search_score:
          description: >-
            search_score is the score of the resource for search. Internal use
            only.
          format: float
          readOnly: true
          type: number
        tenant:
          readOnly: true
          type: string
        will_be_deleted_at:
          description: Time that the resource will be deleted.
          format: date-time
          readOnly: true
          type: string
      type: object
    SpecAggregationDetails:
      description: >-
        The findings are aggregated and notifications are sent based on the
        aggregation details.
      properties:
        aggregation_target_name:
          title: >-
            The name of the aggregation target based on the aggregation type.

            For example, it is the project_name if the aggregation type is
            project
          type: string
        aggregation_type:
          $ref: '#/components/schemas/NotificationActionAggregationType'
        pkg_version_name:
          title: The name of the package version
          type: string
        pkg_version_uuid:
          description: The UUID of the package version.
          type: string
      type: object
    v1NotificationDiff:
      properties:
        new_finding_uuids:
          items:
            type: string
          type: array
        resolved_finding_uuids:
          items:
            type: string
          type: array
      type: object
    SpecNotificationDismiss:
      properties:
        category:
          $ref: '#/components/schemas/NotificationDismissNotificationDismissCategory'
        comment:
          type: string
        time:
          description: The time is when the notification was last dismissed.
          format: date-time
          type: string
      type: object
    SpecFindingDetails:
      properties:
        dependency:
          type: string
        description:
          type: string
        explanation:
          type: string
        package_version:
          type: string
        remediation:
          type: string
        severity:
          type: string
        summary:
          type: string
      type: object
    v1NotificationActionData:
      properties:
        error_status:
          description: Error provided by the notification action.
          type: string
        is_ignored:
          description: Is the notification ignored by the plugin.
          type: boolean
        last_failed_at:
          description: >-
            Timestamp of the last failed action attempt, used for exponential
            backoff.
          format: date-time
          type: string
        metadata:
          $ref: '#/components/schemas/v1NotificationActionDataMetadata'
        notification_target_type:
          $ref: '#/components/schemas/NotificationTargetActionActionType'
        open_action_complete:
          description: >-
            The value is true when action related to opening a new notification
            action is successfully executed.
          type: boolean
        resolve_action_complete:
          description: >-
            The value is true when action related to resolving an notification
            is successfully executed.
          type: boolean
        retry_count:
          description: Number of times the action has been retried after failure.
          format: int64
          type: integer
        update_action_complete:
          description: >-
            The value is true when action related to updating an existing
            notification is successfully executed.
          type: boolean
      type: object
    v1NotificationPayload:
      properties:
        policy_output:
          $ref: '#/components/schemas/v1PolicyOutput'
      type: object
    PolicyPolicyType:
      default: POLICY_TYPE_UNSPECIFIED
      description: |2-
         - POLICY_TYPE_ADMISSION: POLICY_TYPE_ADMISSION will admit/reject pipeline runs.
        Admission policies operate on Findings and are run during
        a CI/CD pipeline. They may return data such as the uuids
        of findings that violate the policy.
         - POLICY_TYPE_NOTIFICATION: POLICY_TYPE_NOTIFICATION is for policies that generate notifications.
         - POLICY_TYPE_ML_FINDING: ML finding policies enable or disable algorithmic findings.
        Note that there is no input data for these policies,
        they always return output, and the allowed value is ignored.
         - POLICY_TYPE_SYSTEM_FINDING: A system finding policy is created from a system policy
        template. It processes data and creates new findings.
        System finding policies are run together with user and
        ML (a.k.a. algorithmic) findings.
        System finding policies can only be enabled, disabled, and
        edited. They cannot be created or deleted.
         - POLICY_TYPE_USER_FINDING: A user finding policy is created from scratch or from a customer
        policy template. It processes data and creates new findings.
        User finding policies are run together with system and
        ML (a.k.a. algorithmic) findings.
        User finding policies can be created, enabled, disabled, edited,
        and deleted.
         - POLICY_TYPE_EXCEPTION: An exception policy identifies findings which should be
        excluded from admission and notification policies. It is
        created from scratch or from an exception policy template.
         - POLICY_TYPE_REMEDIATION: A remediation policy identifies findings which should be
        remediated. It is created from scratch or from a remediation
        policy template.
      enum:
        - POLICY_TYPE_UNSPECIFIED
        - POLICY_TYPE_ADMISSION
        - POLICY_TYPE_NOTIFICATION
        - POLICY_TYPE_FINDING
        - POLICY_TYPE_FINDING_CFG
        - POLICY_TYPE_ML_FINDING
        - POLICY_TYPE_SYSTEM_FINDING
        - POLICY_TYPE_USER_FINDING
        - POLICY_TYPE_EXCEPTION
        - POLICY_TYPE_REMEDIATION
      type: string
    v1RemediationParameters:
      description: RemediationParameters holds the settings for remediation actions.
      properties:
        automated_pr_parameters:
          $ref: '#/components/schemas/RemediationParametersAutomatedPRParameters'
      type: object
    SpecNotificationState:
      default: NOTIFICATION_STATE_UNSPECIFIED
      description: |2-
         - NOTIFICATION_STATE_OPEN_NOTIFICATION_PENDING: New Notification has been created but notification is pending.
         - NOTIFICATION_STATE_OPEN: New Notification has been created and notification has been sent.
         - NOTIFICATION_STATE_DISMISSED: Notification has been dismissed by the user.
         - NOTIFICATION_STATE_SNOOZED: Notification has been snoozed by the user. Not used yet.
         - NOTIFICATION_STATE_RESOLVED_NOTIFICATION_PENDING: Notification has been resolved but notification is pending.
         - NOTIFICATION_STATE_RESOLVED: Notification has been resolved and the notification has been sent.
         - NOTIFICATION_STATE_DELETED: Notification has been marked for deletion.
      enum:
        - NOTIFICATION_STATE_UNSPECIFIED
        - NOTIFICATION_STATE_OPEN_NOTIFICATION_PENDING
        - NOTIFICATION_STATE_OPEN
        - NOTIFICATION_STATE_DISMISSED
        - NOTIFICATION_STATE_SNOOZED
        - NOTIFICATION_STATE_RESOLVED_NOTIFICATION_PENDING
        - NOTIFICATION_STATE_RESOLVED
        - NOTIFICATION_STATE_DELETED
      type: string
    NotificationActionAggregationType:
      default: AGGREGATION_TYPE_UNSPECIFIED
      description: |2-
         - AGGREGATION_TYPE_PROJECT: AGGREGATION_TYPE_PROJECT aggregates notifications by project.
         - AGGREGATION_TYPE_DEPENDENCY: AGGREGATION_TYPE_DEPENDENCY aggregates notifications by dependency,
        root package version, and project.
         - AGGREGATION_TYPE_DEPENDENCY_ACROSS_PKG_VERSIONS: AGGREGATION_TYPE_DEPENDENCY_ACROSS_PKG_VERSIONS aggregates
        notifications by dependency and project, regardless of the package
        version.
         - AGGREGATION_TYPE_NONE: AGGREGATION_TYPE_NONE does not aggregate notifications
         - AGGREGATION_TYPE_MANUAL: AGGREGATION_TYPE_MANUAL identifies notifications created directly from findings via the UI.
        Each finding results in a separate notification.
      enum:
        - AGGREGATION_TYPE_UNSPECIFIED
        - AGGREGATION_TYPE_PROJECT
        - AGGREGATION_TYPE_DEPENDENCY
        - AGGREGATION_TYPE_DEPENDENCY_ACROSS_PKG_VERSIONS
        - AGGREGATION_TYPE_NONE
        - AGGREGATION_TYPE_MANUAL
      type: string
    NotificationDismissNotificationDismissCategory:
      default: NOTIFICATION_DISMISS_CATEGORY_UNSPECIFIED
      description: |2-
         - NOTIFICATION_DISMISS_CATEGORY_FALSE_POSITIVE: The notification is a false alarm.
         - NOTIFICATION_DISMISS_CATEGORY_MITIGATED: The notification has been taken care of.
         - NOTIFICATION_DISMISS_CATEGORY_LOW_PRIORITY: The notification is of low priority and doesn't need immediate attention.
      enum:
        - NOTIFICATION_DISMISS_CATEGORY_UNSPECIFIED
        - NOTIFICATION_DISMISS_CATEGORY_FALSE_POSITIVE
        - NOTIFICATION_DISMISS_CATEGORY_MITIGATED
        - NOTIFICATION_DISMISS_CATEGORY_LOW_PRIORITY
      type: string
    v1NotificationActionDataMetadata:
      properties:
        data:
          $ref: '#/components/schemas/googleprotobufAny'
      type: object
    NotificationTargetActionActionType:
      default: ACTION_TYPE_UNSPECIFIED
      description: |2-
         - ACTION_TYPE_WEBHOOK: ACTION_TYPE_WEBHOOK indicates a webhook call action.
         - ACTION_TYPE_JIRA: ACTION_TYPE_JIRA indicates a JIRA action.
         - ACTION_TYPE_EMAIL: ACTION_TYPE_EMAIL indicates an email action.
         - ACTION_TYPE_VANTA: ACTION_TYPE_VANTA indicates configuration of a Vanta plugin.
         - ACTION_TYPE_SLACK: ACTION_TYPE_SLACK indicates a Slack integration.
         - ACTION_TYPE_GITHUB_PR: ACTION_TYPE_GITHUB_PR indicates a GitHub PR action.
      enum:
        - ACTION_TYPE_UNSPECIFIED
        - ACTION_TYPE_WEBHOOK
        - ACTION_TYPE_JIRA
        - ACTION_TYPE_EMAIL
        - ACTION_TYPE_VANTA
        - ACTION_TYPE_SLACK
        - ACTION_TYPE_GITHUB_PR
      type: string
    v1PolicyOutput:
      properties:
        allow:
          description: |-
            True if input data is accepted by policy.
            False if input data violates the expected state.
          type: boolean
        raw:
          description: Raw policy output.
          items:
            type: object
          type: array
        violating_resources:
          additionalProperties:
            $ref: '#/components/schemas/v1ResourceUuids'
          description: |-
            Lists of UUIDs of resources that violate the policy,
            if applicable, indexed by resource name.
          type: object
      type: object
    RemediationParametersAutomatedPRParameters:
      description: AutomatedPRParameters holds the settings for automated PRs.
      properties:
        language_parameters:
          additionalProperties:
            $ref: '#/components/schemas/AutomatedPRParametersLanguageParameters'
          description: Language-specific parameters for the pull request.
          type: object
        max_open_prs:
          description: Maximum number of open pull requests allowed.
          format: int32
          type: integer
      type: object
    v1ResourceUuids:
      properties:
        uuids:
          description: The list of resource UUIDs.
          items:
            type: string
          type: array
      type: object
    AutomatedPRParametersLanguageParameters:
      properties:
        assignees:
          description: List of assignees for the pull request.
          items:
            type: string
          type: array
        labels:
          description: List of labels for the pull request.
          items:
            type: string
          type: array
        reviewers:
          description: List of reviewers for the pull request.
          items:
            type: string
          type: array
      type: object

````